#
# spec file for package mp3check (Version 0.8.5a)
#
# Copyright (c) 2013 Klaus Singvogel, Kaierberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mp3check
License:        GPL
Group:          Applications/Multimedia
AutoReqProv:    on
BuildRequires:  gcc-c++
Version:        0.8.7
Release:        1.2
Url:            http://code.google.com/p/mp3check/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Check mp3 files for consistency
Source:         http://mp3check.googlecode.com/files/mp3check-%{version}.tar.bz2
Patch1:         use_destdir_to_install
#Patch2:         mp3check-0.8.7-compile.patch
Patch2:         append_compiler_options
Patch4:         nostrip
Patch5:         remove_truncated_last_frame
Patch6:         fix_char_signedness
Patch7:         fix_ftbfs_with_gcc_9
Patch8:         fix_manpage
Patch9:         fix_spelling
Patch10:        fix_warnings

%description
mp3check is a program that checks mp3 files for consistency and  prints several
errors and warnings. It lists stream attributes (color). Layer 1,2,3,
mpeg1.0+2.0 are currently supported.  CRC check for layer 3. mp3check  is very
useful for incomplete mp3 detection as it can be used to scan through your mp3
collection and find all mp3s that aren't perfect. Good for use with Napster and
other bulk downloading of mp3s.

Authors:
--------
    Johannes Overmann <Johannes.Overmann@gmx.de>
    Klaus Kettner <kk@debian.org>

SuSE series: snd

%prep
%setup
%autopatch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/mp3check
%{_mandir}/man1/*
%doc  COPYING

%changelog
* Tue Aug 13 2013 bugzilla@singvogel.com
- package creation with version 0.8.7
